org.eclipse.gmt.modisco.infra.query.core.exception

## Class ModelQueryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.gmt.modisco.infra.query.core.exception.ModelQueryException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BundleClassPathException, ExecutionEnvironmentException, MissingBundleException, ModelQueryExecutionException, ModelQueryTypeCheckingException, ProjectDisabledException

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public class ModelQueryException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelQueryException(java.lang.String message)` Deprecated.
`ModelQueryException(java.lang.String message, java.lang.Throwable cause)` Deprecated.
`ModelQueryException(java.lang.Throwable cause)` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelQueryException

    public ModelQueryException(java.lang.String message)

Deprecated.

#### ModelQueryException

    public ModelQueryException(java.lang.String message,
                               java.lang.Throwable cause)

Deprecated.

#### ModelQueryException

    public ModelQueryException(java.lang.Throwable cause)

Deprecated.